Index: branches/src/ProcessManagement/ProcessManagement/DataModel/PersonSalaryMaster.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/PersonSalaryMaster.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/PersonSalaryMaster.cs	(revision 51)
@@ -0,0 +1,79 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+
+namespace ProcessManagement.DataModel
+{
+    /// <summary>
+    /// 担当者給与マスタデータモデル
+    /// </summary>
+    public class PersonSalaryMaster
+    {
+        #region メンバ変数
+        private int         m_PersonCode = 0;                   // 担当者コード
+        private DateTime    m_StartDate = DateTime.MinValue;    // 使用開始年月日付
+
+        private double      m_MonthlySalary = 0;                // 月給金額
+        private double      m_YearSalary = 0;	                // 年棒金額
+
+        private DateTime    m_EntryDate = DateTime.MinValue;    // 登録日付
+        private DateTime    m_UpdateDate = DateTime.MinValue;   // 更新日付
+        #endregion
+
+        #region コンストラクタ
+        #endregion
+
+        #region プロパティ
+        /// <summary>
+        /// 担当者コード
+        /// </summary>
+        public int PersonCode
+        {
+            set { m_PersonCode = value; }
+            get { return m_PersonCode; }
+        }
+        /// <summary>
+        /// 使用開始年月
+        /// </summary>
+        public DateTime StartDate
+        {
+            set { m_StartDate = value; }
+            get { return m_StartDate; }
+        }
+        /// <summary>
+        /// 月給金額
+        /// </summary>
+        public double MonthlySalary
+        {
+            get { return m_MonthlySalary; }
+            set { m_MonthlySalary = value; }
+        }
+        /// <summary>
+        /// 年棒金額
+        /// </summary>
+        public double YearSalary
+        {
+            get { return m_YearSalary; }
+            set { m_YearSalary = value; }
+        }
+        /// <summary>
+        /// 登録日付
+        /// </summary>
+        public DateTime EntryDate
+        {
+            set { m_EntryDate = value; }
+            get { return m_EntryDate; }
+        }
+        /// <summary>
+        /// <summary>
+        /// 更新日付
+        /// </summary>
+        public DateTime UpdateDate
+        {
+            set { m_UpdateDate = value; }
+            get { return m_UpdateDate; }
+        }
+        #endregion
+    }
+}
Index: branches/src/ProcessManagement/ProcessManagement/DataModel/ProcessApproval.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/ProcessApproval.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/ProcessApproval.cs	(revision 51)
@@ -20,6 +20,10 @@
         /// </summary>
         private int         m_ApprovalCode = 0;
         /// <summary>
+        /// 受付番号
+        /// </summary>
+        private int         m_OrderNo = 1;
+        /// <summary>
         /// 枝番
         /// </summary>
         private int         m_SeqNo = 0;
@@ -74,6 +78,14 @@
             set { m_ApprovalCode = value; }
         }
         /// <summary>
+        /// 受付番号
+        /// </summary>
+        public int OrderNo
+        {
+            get { return m_OrderNo; }
+            set { m_OrderNo = value; }
+        }
+        /// <summary>
         /// 枝番
         /// </summary>
         public int SeqNo
Index: branches/src/ProcessManagement/ProcessManagement/DataModel/ProcessApprovalDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/ProcessApprovalDetail.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/ProcessApprovalDetail.cs	(revision 51)
@@ -0,0 +1,106 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+
+namespace ProcessManagement.DataModel
+{
+    /// <summary>
+    /// 承認明細データ
+    /// </summary>
+    public class ProcessApprovalDetail
+    {
+        #region メンバ変数
+        /// <summary>
+        /// 工事番号
+        /// </summary>
+        private int         m_ConstructionCode = 0;
+        /// <summary>
+        /// 承認機能番号
+        /// </summary>
+        private int         m_ApprovalCode = 0;
+        /// <summary>
+        /// 受付番号
+        /// </summary>
+        private int         m_OrderNo = 1;
+        /// <summary>
+        /// 枝番
+        /// </summary>
+        private int         m_SerialNo = 0;
+        /// <summary>
+        /// リンク情報
+        /// </summary>
+        private int         m_LinkCode = 0;
+        /// <summary>
+        /// 登録日付
+        /// </summary>
+        private DateTime    m_EntryDate = DateTime.Now;
+        /// <summary>
+        /// 更新日付
+        /// </summary>
+        private DateTime    m_UpdateDate = DateTime.Now;
+        #endregion
+
+        #region コンストラクタ
+        #endregion
+
+        #region プロパティ
+        /// <summary>
+        /// 工事番号
+        /// </summary>
+        public int ConstructionCode
+        {
+            get { return m_ConstructionCode; }
+            set { m_ConstructionCode = value; }
+        }
+        /// <summary>
+        /// 承認機能番号
+        /// </summary>
+        public int ApprovalCode
+        {
+            get { return m_ApprovalCode; }
+            set { m_ApprovalCode = value; }
+        }
+        /// <summary>
+        /// 受付番号
+        /// </summary>
+        public int OrderNo
+        {
+            get { return m_OrderNo; }
+            set { m_OrderNo = value; }
+        }
+        /// <summary>
+        /// 枝番
+        /// </summary>
+        public int SerialNo
+        {
+            get { return m_SerialNo; }
+            set { m_SerialNo = value; }
+        }
+        /// <summary>
+        /// リンク情報
+        /// </summary>
+        public int LinkCode
+        {
+            get { return m_LinkCode; }
+            set { m_LinkCode = value; }
+        }
+        /// <summary>
+        /// 登録日付
+        /// </summary>
+        public DateTime EntryDate
+        {
+            set { m_EntryDate = value; }
+            get { return m_EntryDate; }
+        }
+        /// <summary>
+        /// 更新日付
+        /// </summary>
+        public DateTime UpdateDate
+        {
+            set { m_UpdateDate = value; }
+            get { return m_UpdateDate; }
+        }
+        #endregion
+    }
+}
Index: branches/src/ProcessManagement/ProcessManagement/DataModel/ProcessExcuter.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/ProcessExcuter.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/ProcessExcuter.cs	(revision 51)
@@ -0,0 +1,82 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+using System.Windows.Forms;
+
+namespace ProcessManagement.DataModel
+{
+    /// <summary>
+    /// 起動対象マスタ
+    /// </summary>
+    public class ProcessExcute
+    {
+        #region メンバ変数
+        /// <summary>
+        /// 保護区分番号
+        /// </summary>
+        private int         m_SecCode = 0;
+        /// <summary>
+        /// 起動処理番号
+        /// </summary>
+        private int         m_ExecCode = 0;
+        /// <summary>
+        /// 編集フラグ
+        /// </summary>
+        private int         m_EditFlg = 0;
+
+        /// <summary>
+        /// 登録年月日
+        /// </summary>
+        private DateTime    m_EntryDate = DateTime.MinValue;
+        /// <summary>
+        /// 更新年月日
+        /// </summary>
+        private DateTime    m_UpdateDate = DateTime.MinValue;
+        #endregion
+
+        #region プロパティ
+        /// <summary>
+        /// 保護区分番号
+        /// </summary>
+        public int SecCode
+        {
+            get { return m_SecCode; }
+            set { m_SecCode = value; }
+        }
+        /// <summary>
+        /// 起動処理番号
+        /// </summary>
+        public int ExecCode
+        {
+            get { return m_ExecCode; }
+            set { m_ExecCode = value; }
+        }
+        /// <summary>
+        /// 編集フラグ
+        /// </summary>
+        public int EditFlg
+        {
+            get { return m_EditFlg; }
+            set { m_EditFlg = value; }
+        }
+        /// <summary>
+        /// 登録年月日
+        /// </summary>
+        public DateTime EntryDate
+        {
+            get { return m_EntryDate; }
+            set { m_EntryDate = value; }
+        }
+        /// <summary>
+        /// 更新年月日
+        /// </summary>
+        public DateTime UpdateDate
+        {
+            get { return m_UpdateDate; }
+            set { m_UpdateDate = value; }
+        }
+        #endregion
+    }
+}
Index: branches/src/ProcessManagement/ProcessManagement/DataModel/PurchaseOrderDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/PurchaseOrderDetail.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/PurchaseOrderDetail.cs	(revision 51)
@@ -26,6 +26,7 @@
         private string  m_UnitName = string.Empty;	        // 単位
         private double  m_UnitPrice = 0;	                // 単価
         private double  m_OrdersLinePrice = 0;	            // 金額
+        private double  m_SourceCode = 0;                   // 予算作成時工事番号
 
         private DateTime m_EntryDate = DateTime.Now;        // 登録日付
         private DateTime m_UpdateDate = DateTime.Now;       // 更新日付
@@ -132,6 +133,14 @@
             get { return m_OrdersLinePrice; }
             set { m_OrdersLinePrice = value; }
         }
+        /// <summary>
+        /// 予算作成時工事番号
+        /// </summary>
+        public double SourceCode
+        {
+            get { return m_SourceCode; }
+            set { m_SourceCode = value; }
+        }
 
         /// <summary>
         /// 登録日付
Index: branches/src/ProcessManagement/ProcessManagement/DataModel/RequestData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/RequestData.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/RequestData.cs	(revision 51)
@@ -0,0 +1,143 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+
+namespace ProcessManagement.DataModel
+{
+    /// <summary>
+    /// 請求データ
+    /// </summary>
+    public class RequestData
+    {
+        #region メンバ変数
+        private int         m_RequestNo = 0;                    // 請求No
+        private int         m_ConstructionCode = 0;             // 工事番号
+        private int         m_OrderersDivision = 0;             // 発注者区分
+        private int         m_OrderersCode = 0;                 // 発注者コード
+        private int         m_AmountPaid = 0;                   // 請求済金額
+        private int         m_PricePaid = 0;                    // 請求済工事金額
+        private int         m_TaxPricePaid = 0;                 // 請求済消費税金額
+        private int         m_PriceBalance = 0;                 // 請求残工事金額
+        private int         m_TaxBalance = 0;                   // 請求残消費税金額
+        private int         m_AmountBlance = 0;                 // 未収金額
+        private DateTime    m_EntryDate = DateTime.Now;         // 登録日付
+        private DateTime    m_UpdateDate = DateTime.Now;        // 更新日付
+        #endregion
+
+        #region コンストラクタ
+        #endregion
+
+        #region プロパティ
+        /// <summary>
+        /// 請求No
+        /// </summary>
+        public int RequestNo
+        {
+            get { return m_RequestNo; }
+            set { m_RequestNo = value; }
+        }
+
+        /// <summary>
+        /// 工事番号
+        /// </summary>
+        public int ConstructionCode
+        {
+            get { return m_ConstructionCode; }
+            set { m_ConstructionCode = value; }
+        }
+
+        /// <summary>
+        /// 発注者区分
+        /// </summary>
+        public int OrderersDivision
+        {
+            get { return m_OrderersDivision; }
+            set { m_OrderersDivision = value; }
+        }
+
+        /// <summary>
+        /// 発注者コード
+        /// </summary>
+        public int OrderersCode
+        {
+            get { return m_OrderersCode; }
+            set { m_OrderersCode = value; }
+        }
+
+        /// <summary>
+        /// 請求済金額
+        /// </summary>
+        public int AmountPaid
+        {
+            get { return m_AmountPaid; }
+            set { m_AmountPaid = value; }
+        }
+
+        /// <summary>
+        /// 請求済工事金額
+        /// </summary>
+        public int PricePaid
+        {
+            get { return m_PricePaid; }
+            set { m_PricePaid = value; }
+        }
+
+        /// <summary>
+        /// 請求済消費税金額
+        /// </summary>
+        public int TaxPricePaid
+        {
+            get { return m_TaxPricePaid; }
+            set { m_TaxPricePaid = value; }
+        }
+
+        /// <summary>
+        /// 請求残工事金額
+        /// </summary>
+        public int PriceBalance
+        {
+            get { return m_PriceBalance; }
+            set { m_PriceBalance = value; }
+        }
+
+        /// <summary>
+        /// 請求残消費税金額
+        /// </summary>
+        public int TaxBalance
+        {
+            get { return m_TaxBalance; }
+            set { m_TaxBalance = value; }
+        }
+
+        /// <summary>
+        /// 未収金額
+        /// </summary>
+        public int AmountBlance
+        {
+            get { return m_AmountBlance; }
+            set { m_AmountBlance = value; }
+        }
+
+        /// <summary>
+        /// 登録日付
+        /// </summary>
+        public DateTime EntryDate
+        {
+            get { return m_EntryDate; }
+            set { m_EntryDate = value; }
+        }
+
+        /// <summary>
+        /// 更新日付
+        /// </summary>
+        public DateTime UpdateDate
+        {
+            get { return m_UpdateDate; }
+            set { m_UpdateDate = value; }
+        }
+        #endregion
+
+    }
+}
Index: branches/src/ProcessManagement/ProcessManagement/DataModel/RequestDataDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/RequestDataDetail.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/RequestDataDetail.cs	(revision 51)
@@ -0,0 +1,113 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+
+namespace ProcessManagement.DataModel
+{
+    /// <summary>
+    /// 請求明細データ
+    /// </summary>
+    public class RequestDataDetail
+    {
+        #region メンバ変数
+        private int         m_RequestNo = 0;                // 請求No
+        private int         m_OrderNo = 0;                  // 受付番号
+        private int         m_ConstructionCode = 0;         // 工事番号
+        private int         m_ConstructionKind = 0;         // 工事区分
+        private int         m_BillPrice = 0;                // 請求金額
+        private int         m_TaxPrice = 0;                 // 消費税
+        private int         m_AmountBlance = 0;             // 未入金分
+        private DateTime    m_EntryDate = DateTime.Now;     // 登録年月日
+        private DateTime    m_UpdateDate = DateTime.Now;    // 更新年月日
+        #endregion
+
+        #region コンストラクタ
+        #endregion
+
+        #region プロパティ
+        /// <summary>
+        /// 請求No 
+        /// </summary>
+        public int RequestNo
+        {
+            get { return m_RequestNo; }
+            set { m_RequestNo = value; }
+        }
+
+        /// <summary>
+        /// 受付番号
+        /// </summary>
+        public int OrderNo
+        {
+            get { return m_OrderNo; }
+            set { m_OrderNo = value; }
+        }
+
+        /// <summary>
+        /// 工事番号
+        /// </summary>
+        public int ConstructionCode
+        {
+            get { return m_ConstructionCode; }
+            set { m_ConstructionCode = value; }
+        }
+
+        /// <summary>
+        /// 工事区分
+        /// </summary>
+        public int ConstructionKind
+        {
+            get { return m_ConstructionKind; }
+            set { m_ConstructionKind = value; }
+        }
+
+        /// <summary>
+        /// 請求金額
+        /// </summary>
+        public int BillPrice
+        {
+            get { return m_BillPrice; }
+            set { m_BillPrice = value; }
+        }
+
+        /// <summary>
+        /// 消費税
+        /// </summary>
+        public int TaxPrice
+        {
+            get { return m_TaxPrice; }
+            set { m_TaxPrice = value; }
+        }
+
+        /// <summary>
+        /// 未入金分
+        /// </summary>
+        public int AmountBlance
+        {
+            get { return m_AmountBlance; }
+            set { m_AmountBlance = value; }
+        }
+
+        /// <summary>
+        /// 登録年月日
+        /// </summary>
+        public DateTime EntryDate
+        {
+            get { return m_EntryDate; }
+            set { m_EntryDate = value; }
+        }
+
+        /// <summary>
+        /// 更新年月日
+        /// </summary>
+        public DateTime UpdateDate
+        {
+            get { return m_UpdateDate; }
+            set { m_UpdateDate = value; }
+        }
+        #endregion
+
+    }
+}
Index: branches/src/ProcessManagement/ProcessManagement/DataModel/RequestGridKeys.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/RequestGridKeys.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/RequestGridKeys.cs	(revision 51)
@@ -0,0 +1,35 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+
+namespace ProcessManagement.DataModel
+{
+    /// <summary>
+    /// 請求まとめで行を記憶するために、キー値を保持するためのクラス
+    /// </summary>
+    public class RequestGridKeys
+    {
+        public RequestGridKeys()
+        {
+        }
+
+        public RequestGridKeys(int visible, int companyCode, int genbaCode, int rowType, int seqNo, int lineCount)
+        {
+            Visible = visible;
+            CompanyCode = companyCode;
+            GenbaCode = genbaCode;
+            RowType = rowType;
+            SeqNo = seqNo;
+            LineCount = lineCount;
+        }
+
+        public int Visible { get; set; }
+        public int CompanyCode { get; set; }
+        public int GenbaCode { get; set; }
+        public int RowType { get; set; }
+        public int SeqNo { get; set; }
+        public int LineCount { get; set; }
+    }
+}
Index: branches/src/ProcessManagement/ProcessManagement/DataModel/RequestTotalData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/RequestTotalData.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/RequestTotalData.cs	(revision 51)
@@ -0,0 +1,192 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+
+namespace ProcessManagement.DataModel
+{
+    /// <summary>
+    /// 請求合計データ
+    /// </summary>
+    public class RequestTotalData
+    {
+        #region メンバ変数
+        private int         m_RequestNo = 0;                        // 請求No
+        private int         m_OrderNo = 0;                          // 受付番号
+        private int         m_OrderersDivision = 0;                 // 発注者区分
+        private int         m_OrderersCode = 0;                     // 発注者コード
+        private DateTime    m_BillCreationDate = DateTime.MinValue; // 請求書作成日
+        private int         m_BillTotalPrice = 0;                   // 請求書金額合計
+        private int         m_BillPrice = 0;                        // 請求金額
+        private int         m_TaxPrice = 0;                         // 消費税
+        private int         m_AmountBlance = 0;                     // 未入金分
+        private int         m_AmountPaid = 0;                       // 請求済金額
+        private int         m_PricePaid = 0;                        // 請求済工事金額
+        private int         m_TaxPricePaid = 0;                     // 請求済消費税金額
+        private int         m_PriceBalance = 0;                     // 請求残工事金額
+        private int         m_TaxBalance = 0;                       // 請求残消費税金額
+        private bool        m_AssignedFlg = false;                  // 割当済フラグ
+        private DateTime    m_EntryDate = DateTime.Now;             // 登録日付
+        private DateTime    m_UpdateDate = DateTime.Now;            // 更新日付
+        #endregion
+
+        #region コンストラクタ
+        #endregion
+
+        #region プロパティ
+        /// <summary>
+        /// 請求No
+        /// </summary>
+        public int RequestNo
+        {
+            get { return m_RequestNo; }
+            set { m_RequestNo = value; }
+        }
+
+        /// <summary>
+        /// 受付番号
+        /// </summary>
+        public int OrderNo
+        {
+            get { return m_OrderNo; }
+            set { m_OrderNo = value; }
+        }
+
+        /// <summary>
+        /// 発注者区分
+        /// </summary>
+        public int OrderersDivision
+        {
+            get { return m_OrderersDivision; }
+            set { m_OrderersDivision = value; }
+        }
+
+        /// <summary>
+        /// 発注者区分
+        /// </summary>
+        public int OrderersCode
+        {
+            get { return m_OrderersCode; }
+            set { m_OrderersCode = value; }
+        }
+
+        /// <summary>
+        /// 請求書作成日
+        /// </summary>
+        public DateTime BillCreationDate
+        {
+            get { return m_BillCreationDate; }
+            set { m_BillCreationDate = value; }
+        }
+
+        /// <summary>
+        /// 請求書金額合計
+        /// </summary>
+        public int BillTotalPrice
+        {
+            get { return m_BillTotalPrice; }
+            set { m_BillTotalPrice = value; }
+        }
+
+        /// <summary>
+        /// 請求金額
+        /// </summary>
+        public int BillPrice
+        {
+            get { return m_BillPrice; }
+            set { m_BillPrice = value; }
+        }
+
+        /// <summary>
+        /// 消費税
+        /// </summary>
+        public int TaxPrice
+        {
+            get { return m_TaxPrice; }
+            set { m_TaxPrice = value; }
+        }
+
+        /// <summary>
+        /// 未入金分
+        /// </summary>
+        public int AmountBlance
+        {
+            get { return m_AmountBlance; }
+            set { m_AmountBlance = value; }
+        }
+
+        /// <summary>
+        /// 請求済金額
+        /// </summary>
+        public int AmountPaid
+        {
+            get { return m_AmountPaid; }
+            set { m_AmountPaid = value; }
+        }
+
+        /// <summary>
+        /// 請求済工事金額
+        /// </summary>
+        public int PricePaid
+        {
+            get { return m_PricePaid; }
+            set { m_PricePaid = value; }
+        }
+
+        /// <summary>
+        /// 請求済消費税金額
+        /// </summary>
+        public int TaxPricePaid
+        {
+            get { return m_TaxPricePaid; }
+            set { m_TaxPricePaid = value; }
+        }
+
+        /// <summary>
+        /// 請求残工事金額
+        /// </summary>
+        public int PriceBalance
+        {
+            get { return m_PriceBalance; }
+            set { m_PriceBalance = value; }
+        }
+
+        /// <summary>
+        /// 請求残消費税金額
+        /// </summary>
+        public int TaxBalance
+        {
+            get { return m_TaxBalance; }
+            set { m_TaxBalance = value; }
+        }
+
+        /// <summary>
+        /// 割当済フラグ
+        /// </summary>
+        public bool AssignedFlg
+        {
+            get { return m_AssignedFlg; }
+            set { m_AssignedFlg = value; }
+        }
+
+        /// <summary>
+        /// 登録日付
+        /// </summary>
+        public DateTime EntryDate
+        {
+            get { return m_EntryDate; }
+            set { m_EntryDate = value; }
+        }
+
+        /// <summary>
+        /// 更新日付
+        /// </summary>
+        public DateTime UpdateDate
+        {
+            get { return m_UpdateDate; }
+            set { m_UpdateDate = value; }
+        }
+        #endregion
+    }
+}
Index: branches/src/ProcessManagement/ProcessManagement/DataModel/SecurityMaster.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/SecurityMaster.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/SecurityMaster.cs	(revision 51)
@@ -0,0 +1,130 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+using System.Windows.Forms;
+
+namespace ProcessManagement.DataModel
+{
+    /// <summary>
+    /// 保護区分マスタ
+    /// </summary>
+    public class SecurityMaster
+    {
+        #region メンバ変数
+        /// <summary>
+        /// 保護区分番号
+        /// </summary>
+        private int         m_SecCode = 0;
+        /// <summary>
+        /// 表示順
+        /// </summary>
+        private int         m_DisplayOrder = 0;
+        /// <summary>
+        /// 保護区分名称
+        /// </summary>
+        private string      m_SecName = string.Empty;
+        /// <summary>
+        /// 保護区分ランク
+        /// </summary>
+        private int         m_SecRank = 0;
+        /// <summary>
+        /// 保護区分範囲
+        /// </summary>
+        private int         m_SecRange = 0;
+        /// <summary>
+        /// 総務業務フラグ
+        /// </summary>
+        private int         m_GeneralAffairs = 0;
+        /// <summary>
+        /// 選択背景色
+        /// </summary>
+        private string      m_SelectBackColor = string.Empty;
+
+        /// <summary>
+        /// 登録年月日
+        /// </summary>
+        private DateTime    m_EntryDate = DateTime.MinValue;
+        /// <summary>
+        /// 更新年月日
+        /// </summary>
+        private DateTime    m_UpdateDate = DateTime.MinValue;
+        #endregion
+
+        #region プロパティ
+        /// <summary>
+        /// 保護区分番号
+        /// </summary>
+        public int SecCode
+        {
+            get { return m_SecCode; }
+            set { m_SecCode = value; }
+        }
+        /// <summary>
+        /// 表示順
+        /// </summary>
+        public int DisplayOrder
+        {
+            get { return m_DisplayOrder; }
+            set { m_DisplayOrder = value; }
+        }
+        /// <summary>
+        /// 保護区分名称
+        /// </summary>
+        public string SecName 
+        {
+            get { return m_SecName; }
+            set { m_SecName = value; }
+        }
+        /// <summary>
+        /// 保護区分ランク
+        /// </summary>
+        public int SecRank
+        {
+            get { return m_SecRank; }
+            set { m_SecRank = value; }
+        }
+        /// <summary>
+        /// 保護区分範囲
+        /// </summary>
+        public int SecRange
+        {
+            get { return m_SecRange; }
+            set { m_SecRange = value; }
+        }
+        /// <summary>
+        /// 総務業務フラグ
+        /// </summary>
+        public int GeneralAffairs
+        {
+            get { return m_GeneralAffairs; }
+            set { m_GeneralAffairs = value; }
+        }
+        /// <summary>
+        /// 選択背景色
+        /// </summary>
+        public string SelectBackColor
+        {
+            get { return m_SelectBackColor; }
+            set { m_SelectBackColor = value; }
+        }
+        /// <summary>
+        /// 登録年月日
+        /// </summary>
+        public DateTime EntryDate
+        {
+            get { return m_EntryDate; }
+            set { m_EntryDate = value; }
+        }
+        /// <summary>
+        /// 更新年月日
+        /// </summary>
+        public DateTime UpdateDate
+        {
+            get { return m_UpdateDate; }
+            set { m_UpdateDate = value; }
+        }
+        #endregion
+    }
+}
Index: branches/src/ProcessManagement/ProcessManagement/DataModel/SystemExecute.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/SystemExecute.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/SystemExecute.cs	(revision 51)
@@ -17,11 +17,22 @@
         /// キー項目
         /// </summary>
         private int m_PrimaryCode = 0;
+        
         /// <summary>
         /// 起動日付
         /// </summary>
         private DateTime m_TargetDate = DateTime.MinValue;
+
         /// <summary>
+        /// 本体バージョン
+        /// </summary>
+        private int m_SystemVersion = 0;
+        /// <summary>
+        /// コピー・環境バージョン
+        /// </summary>
+        private int m_UpDateCopyVersion = 0;
+
+        /// <summary>
         /// 登録年月日
         /// </summary>
         private DateTime m_EntryDate = DateTime.MinValue;
@@ -49,6 +60,22 @@
             set { m_TargetDate = value; }
         }
         /// <summary>
+        /// 本体バージョン
+        /// </summary>
+        public int SystemVersion
+        {
+            get { return m_SystemVersion; }
+            set { m_SystemVersion = value; }
+        }
+        /// <summary>
+        /// コピー・環境バージョン
+        /// </summary>
+        public int UpDateCopyVersion
+        {
+            get { return m_UpDateCopyVersion; }
+            set { m_UpDateCopyVersion = value; }
+        }
+        /// <summary>
         /// 登録年月日
         /// </summary>
         public DateTime EntryDate
Index: branches/src/ProcessManagement/ProcessManagement/DataModel/SystemMaster.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/SystemMaster.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/SystemMaster.cs	(revision 51)
@@ -26,6 +26,7 @@
         private double      m_OfficeExpenses = 0;	            // 事務所経費
         private double      m_OperatingExpenses = 0;	        // 営業経費
         private double      m_ConsumptionTax = 0;	            // 消費税
+
         private string      m_ExcelSavePath = string.Empty;	    // Excel保存パス
 
         private int         m_BusinessPeriod = 0;               // 営業期数
@@ -40,6 +41,9 @@
                 
         private DateTime    m_EntryDate = DateTime.Now;         // 登録日付
         private DateTime    m_UpdateDate = DateTime.Now;        // 更新日付
+
+        private double m_CooperationRate = 0.5;               // 協力金比率
+        
         #endregion
 
         #region コンストラクタ
@@ -255,6 +259,16 @@
             set { m_UpdateDate = value; }
             get { return m_UpdateDate; }
         }
+
+        /// <summary>
+        /// 協力金比率
+        /// </summary>
+        public double CooperationRate
+        {
+            set { m_CooperationRate = value; }
+            get { return m_CooperationRate; }
+        }
+
         #endregion
     }
 }
